using System;
using System.Web;
using TopCoder.Util.ConfigurationManager;

namespace TopCoder.Web.UI.WebControl.BreadCrumb.Tests
{
    /// <summary>
    /// The Global.asa code behind.
    /// </summary>
    public class Global : HttpApplication
    {
        /// <summary>
        /// Initialize config manager.
        /// </summary>
        ///
        /// <param name="sender">
        /// The sender.
        /// </param>
        /// <param name="e">
        /// Event argument.
        /// </param>
        protected void Session_Start(Object sender, EventArgs e)
        {
            // load demo configuration
            TestCommon.LoadConfigFile(Server.MapPath(TestCommon.AppPath + "/Demo/Config.xml"));
        }
    }
}

