<%@ Page language="c#" AutoEventWireup="true" Debug="true"%>
<%@Register TagPrefix="tc" Namespace="TopCoder.Web.UI.WebControl.BreadCrumb"
   assembly="TopCoder.Web.UI.WebControl.BreadCrumb.Test"%>
<%@ Import Namespace="TopCoder.Web.UI.WebControl.BreadCrumb" %>
<%@ Import Namespace="System.Data" %>

<script runat="server">
    /// Instantiate a DynamicPathDiscovery and
    /// call DataBind().
    /// Depending on the value of source text box (1-4), different type of DataSource is used here.
    public void Page_Load()
    {
        bcc.DataSource = null;
        if (source.Text == "1")
        {
            BreadCrumbNode[] nodes = new BreadCrumbNode[2];
            nodes[0] = new BreadCrumbNode("Main-1", "http://www.xyz.com");
            nodes[1] = new BreadCrumbNode("Forums-1", "http://www.xyz.com/forums");
            bcc.DataSource = nodes;
        }
        else if (source.Text == "2")
        {
            IList nodes = new ArrayList();
            nodes.Add(new BreadCrumbNode("Main-2", "http://www.xyz.com"));
            nodes.Add(new BreadCrumbNode("Forums-2", "http://www.xyz.com/forums"));
            bcc.DataSource = nodes;
        }
        else if ((source.Text == "3") || (source.Text == "4"))
        {
            DataTable tb = new DataTable();
            tb.Columns.Add("Title");
            tb.Columns.Add("Url");

            DataRow row = tb.NewRow();
            row["Title"] = "Main-" + source.Text;
            row["Url"] = "http://www.xyz.com";
            tb.Rows.Add(row);

            row = tb.NewRow();
            row["Title"] = "Forums-" + source.Text;
            row["Url"] = "http://www.xyz.com/forums";
            tb.Rows.Add(row);

            if (source.Text == "3")
            {
                bcc.DataSource = tb;
            }
            else
            {
                DataSet ds = new DataSet();
                ds.Tables.Add(tb);
                bcc.DataSource = ds;
            }
        }
        else
        {
            source.Text = "Please fill with 1, 2, 3, or 4";
        }
        bcc.DataBind();
    }
</script>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
    <body>
        <form id="Form1" method="post" runat="server">
            <tc:BreadCrumbTrailControl id="bcc" runat="server"/>
            <br/>
            <asp:TextBox id="source" runat="server"></asp:TextBox>
            <asp:Button id="btnBind" runat="server" Text="Bind"></asp:Button>
        </form>
    </body>
</HTML>
